[SOLVED] How do I compile broadcom-wl with latest Rawhide kernel?
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 3 of 3
  1. #1
    Join Date
    Apr 2005
    Location
    Owatonna, Minnesota
    Posts
    131
    Linux (Fedora) Firefox 56.0

    How do I compile broadcom-wl with latest Rawhide kernel?

    I have no problem compiling the Broadcom wl module for the kernels in released versions of Fedora (I'm using an F28 kernel right now with Rawhide) but Rawhide kernels a major version above the kernel version in the current Fedora release never compile. My wireless hardware is Broadcom Limited BCM43227 802.11b/g/n, and I have the following installed:
    Code:
    kernel-modules-extra-4.18.0-0.rc7.git1.1.fc29.x86_64
    kernel-devel-4.18.0-0.rc7.git1.1.fc29.x86_64
    kernel-core-4.18.0-0.rc6.git3.1.fc29.x86_64
    kernel-headers-4.18.0-0.rc7.git0.1.fc29.x86_64
    kernel-core-4.18.0-0.rc7.git1.1.fc29.x86_64
    kernel-modules-4.18.0-0.rc7.git1.1.fc29.x86_64
    kernel-4.18.0-0.rc7.git1.1.fc29.x86_64
    kernel-tools-libs-4.18.0-0.rc6.git0.1.fc29.x86_64
    akmod-wl-6.30.223.271-19.fc29.x86_64
    broadcom-wl.noarch-6.30.223.271-7.fc29
    buildsys-build-rpmfusion.x86_64-10:29-0.2            
    kmodtool-1-30.fc29.noarch
    akmods-0.5.6-16.fc29.noarch
    kmod-libs-25-3.fc29.x86_64
    kmod-25-3.fc29.x86_64
    Attempting to compile the broadcom-wl module
    Code:
    akmods  --force --kernels 4.18.0-0.rc7.git1.1.fc29.x86_64
    dies with
    Code:
    2018/08/03 11:25:42 akmodsbuild: Building modules, stage 2.
    2018/08/03 11:25:42 akmodsbuild: CFG80211 API is prefered for this kernel version
    2018/08/03 11:25:42 akmodsbuild: Using CFG80211 API
    2018/08/03 11:25:42 akmodsbuild: MODPOST 1 modules
    2018/08/03 11:25:42 akmodsbuild: FATAL: modpost: GPL-incompatible module wl.ko uses GPL-only symbol '__init_work'
    2018/08/03 11:25:42 akmodsbuild: make[1]: *** [scripts/Makefile.modpost:92: __modpost] Error 1
    2018/08/03 11:25:42 akmodsbuild: make: *** [Makefile:1509: modules] Error 2
    2018/08/03 11:25:42 akmodsbuild: make: Leaving directory '/usr/src/kernels/4.18.0-0.rc7.git1.1.fc29.x86_64'
    2018/08/03 11:25:42 akmodsbuild: error: Bad exit status from /var/tmp/rpm-tmp.PQiUMr (%build)
    Is there a simple magic tweak I need to apply to the something in one of the rpmfusion-supplied files to enable compilation of the broadcom-wl module with the latest Rawhide kernel?
    RockDoctor
    Registered Linux user #360200

  2. #2
    Join Date
    Jun 2007
    Location
    Aubagne France
    Age
    63
    Posts
    663
    Linux Chrome 67.0.3396.87

    Re: How do I compile broadcom-wl with latest Rawhide kernel?

    I think it's an issue with 4.18.0-0.rc7.git1.1.fc29.x86_64, which is a kernel with debugging option, and akmod don't like that.
    Try with 4.18.0-0.rc7.git0.1.fc29.x86_64, a kernel without debugging option.

  3. #3
    Join Date
    Apr 2005
    Location
    Owatonna, Minnesota
    Posts
    131
    Linux (Fedora) Firefox 56.0

    Re: How do I compile broadcom-wl with latest Rawhide kernel?

    Thanks. The Broadcom module compiled just fine with the non-debugging kernel.
    RockDoctor
    Registered Linux user #360200

Similar Threads

  1. Is this the latest Rawhide kernel? 4.15.0-0.rc1.git3.1.fc28.x86_64
    By martyfelker in forum F28 Development Forum
    Replies: 2
    Last Post: 1st January 2018, 12:59 AM
  2. latest kernel (2.6.27.29-170.2.79)+ broadcom wireless
    By zantoburgo in forum Using Fedora
    Replies: 1
    Last Post: 16th August 2009, 06:00 PM
  3. Broadcom 43xx and FC7 - Latest Kernel
    By jafar in forum Hardware & Laptops
    Replies: 4
    Last Post: 18th January 2008, 11:40 PM
  4. Sound not working with latest rawhide kernel
    By Mike Chambers in forum Fedora Core 4 Test
    Replies: 7
    Last Post: 13th April 2005, 11:03 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •